<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__aes__ccm__param__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_aes_ccm_param_t</compoundname>
    <includes local="no">cy_ble_stack_host_main.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__aes__ccm__param__t_1a12b95bf32baa3e6bc609689440603cca" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_aes_ccm_param_t::mic[CY_BLE_MIC_SIZE]</definition>
        <argsstring>[CY_BLE_MIC_SIZE]</argsstring>
        <name>mic</name>
        <briefdescription>
<para>MIC value generated during encryption. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="773" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="773" />
      </memberdef>
      <memberdef id="structcy__stc__ble__aes__ccm__param__t_1abd7e4b18a816fc88974a51c8f20e685a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_stc_ble_aes_ccm_param_t::data</definition>
        <argsstring />
        <name>data</name>
        <briefdescription>
<para>Pointer to an array of size 'length' where the encrypted/decrypted data is stored. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="777" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="777" />
      </memberdef>
      <memberdef id="structcy__stc__ble__aes__ccm__param__t_1a49c73f194f7d7f498fd73367734aa8c9" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_aes_ccm_param_t::length</definition>
        <argsstring />
        <name>length</name>
        <briefdescription>
<para>length of data </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="780" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="780" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>AES CCM encrypted data information. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="782" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="770" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="771" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__aes__ccm__param__t_1abd7e4b18a816fc88974a51c8f20e685a" virt="non-virtual"><scope>cy_stc_ble_aes_ccm_param_t</scope><name>data</name></member>
      <member prot="public" refid="structcy__stc__ble__aes__ccm__param__t_1a49c73f194f7d7f498fd73367734aa8c9" virt="non-virtual"><scope>cy_stc_ble_aes_ccm_param_t</scope><name>length</name></member>
      <member prot="public" refid="structcy__stc__ble__aes__ccm__param__t_1a12b95bf32baa3e6bc609689440603cca" virt="non-virtual"><scope>cy_stc_ble_aes_ccm_param_t</scope><name>mic</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>